Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Class TraversalHelper

Helper Class for Antlr AST traversal and visitation.

author:
  Jeremy Rayner

version:
  $Revision: 8794 $

Field Summary
`List` | `unvisitedNodes`
`Visitor` | `v`

Constructor Summary
`TraversalHelper(Visitor visitor)`

Method Summary
`void` | `accept(GroovySourceAST currentNode)`
`void` | `acceptChildren(GroovySourceAST t)`
`void` | `acceptSiblings(GroovySourceAST t)`
`void` | `accept_FirstChild_v_RestOfTheChildren(GroovySourceAST t)`
`void` | `accept_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)`
`void` | `accept_FirstChild_v_RestOfTheChildren_v_LastChild(GroovySourceAST t)`
`void` | `accept_FirstChild_v_SecondChild(GroovySourceAST t)`
`void` | `accept_FirstChild_v_SecondChild_v(GroovySourceAST t)`
`void` | `accept_FirstChild_v_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
`void` | `accept_FirstChild_v_SecondChildsChildren_v(GroovySourceAST t)`
`void` | `accept_FirstSecondAndThirdChild_v_v_ForthChild(GroovySourceAST t)`
`void` | `accept_v_AllChildren_v(GroovySourceAST t)`
`void` | `accept_v_AllChildren_v_Siblings(GroovySourceAST t)`
`void` | `accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v(GroovySourceAST t)`
`void` | `accept_v_FirstChild_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
`void` | `accept_v_FirstChild_v(GroovySourceAST t)`
`void` | `accept_v_FirstChild_v_RestOfTheChildren(GroovySourceAST t)`
`void` | `accept_v_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)`
`void` | `accept_v_FirstChild_v_SecondChild_v___LastChild_v(GroovySourceAST t)`
`void` | `accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild(GroovySourceAST t)`
`void` | `accept_v_FirstChildsFirstChild_v_RestOfTheChildren(GroovySourceAST t)`
`void` | `accept_v_Siblings_v(GroovySourceAST t)`
`void` | `closingVisit(GroovySourceAST t)`
`void` | `openingVisit(GroovySourceAST t)`
`GroovySourceAST` | `pop()`
`AST` | `process(AST t)`
`void` | `push(GroovySourceAST ast)`
`void` | `secondVisit(GroovySourceAST t)`
`void` | `setUp(GroovySourceAST ast)`
`void` | `skip(GroovySourceAST expr)`
`void` | `subsequentVisit(GroovySourceAST t)`
`void` | `tearDown(GroovySourceAST ast)`
`void` | `visitNode(GroovySourceAST ast, int n)`

Constructor Detail

### TraversalHelper

    public TraversalHelper(Visitor visitor)

Method Detail

### accept

    void accept(GroovySourceAST currentNode)

### acceptChildren

    void acceptChildren(GroovySourceAST t)

### acceptSiblings

    void acceptSiblings(GroovySourceAST t)

### accept_FirstChild_v_RestOfTheChildren

    void accept_FirstChild_v_RestOfTheChildren(GroovySourceAST t)

### accept_FirstChild_v_RestOfTheChildren_v

    void accept_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)

### accept_FirstChild_v_RestOfTheChildren_v_LastChild

    void accept_FirstChild_v_RestOfTheChildren_v_LastChild(GroovySourceAST t)

### accept_FirstChild_v_SecondChild

    void accept_FirstChild_v_SecondChild(GroovySourceAST t)

### accept_FirstChild_v_SecondChild_v

    void accept_FirstChild_v_SecondChild_v(GroovySourceAST t)

### accept_FirstChild_v_SecondChild_v_ThirdChild_v

    void accept_FirstChild_v_SecondChild_v_ThirdChild_v(GroovySourceAST t)

### accept_FirstChild_v_SecondChildsChildren_v

    void accept_FirstChild_v_SecondChildsChildren_v(GroovySourceAST t)

### accept_FirstSecondAndThirdChild_v_v_ForthChild

    void accept_FirstSecondAndThirdChild_v_v_ForthChild(GroovySourceAST t)

### accept_v_AllChildren_v

    void accept_v_AllChildren_v(GroovySourceAST t)

### accept_v_AllChildren_v_Siblings

    void accept_v_AllChildren_v_Siblings(GroovySourceAST t)

### accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v

    void accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v(GroovySourceAST t)

### accept_v_FirstChild_SecondChild_v_ThirdChild_v

    void accept_v_FirstChild_SecondChild_v_ThirdChild_v(GroovySourceAST t)

### accept_v_FirstChild_v

    void accept_v_FirstChild_v(GroovySourceAST t)

### accept_v_FirstChild_v_RestOfTheChildren

    void accept_v_FirstChild_v_RestOfTheChildren(GroovySourceAST t)

### accept_v_FirstChild_v_RestOfTheChildren_v

    void accept_v_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)

### accept_v_FirstChild_v_SecondChild_v___LastChild_v

    void accept_v_FirstChild_v_SecondChild_v___LastChild_v(GroovySourceAST t)

### accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild

    void accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild(GroovySourceAST t)

### accept_v_FirstChildsFirstChild_v_RestOfTheChildren

    void accept_v_FirstChildsFirstChild_v_RestOfTheChildren(GroovySourceAST t)

### accept_v_Siblings_v

    void accept_v_Siblings_v(GroovySourceAST t)

### closingVisit

    void closingVisit(GroovySourceAST t)

### openingVisit

    void openingVisit(GroovySourceAST t)

### pop

    GroovySourceAST pop()

### process

    public AST process(AST t)

### push

    void push(GroovySourceAST ast)

### secondVisit

    void secondVisit(GroovySourceAST t)

### setUp

    void setUp(GroovySourceAST ast)

### skip

    void skip(GroovySourceAST expr)

### subsequentVisit

    void subsequentVisit(GroovySourceAST t)

### tearDown

    void tearDown(GroovySourceAST ast)

### visitNode

    void visitNode(GroovySourceAST ast, int n)